from django.db import models

# Create your models here.
class TP(models.Model):
    # uid
    uid = models.AutoField(primary_key=True)
    # 视频哈希
    video_hash = models.CharField(max_length=50, verbose_name='视频哈希')
    # 记录仪时间
    record_time = models.DateTimeField(verbose_name='记录仪时间')
    # 警号
    police_id = models.CharField(max_length=50, null=True, blank=True, verbose_name='警号')    # 警号可为空可不传
    # 事件类型
    event_type = models.CharField(max_length=50, verbose_name='事件类型')
    # 是否违规
    is_violation = models.BooleanField(verbose_name='是否违规')
    # 缩略图
    small_image = models.CharField(max_length=100, verbose_name='缩略图')
    # 相对时间
    relative_time = models.FloatField(verbose_name='相对时间')
    # 视频路径
    video_dir = models.CharField(max_length=100, verbose_name='视频路径')
    # 车牌号
    car_number = models.CharField(max_length=50, verbose_name='车牌号', null=True, blank=True)    # 车牌可为空可不传
    # 分析结果
    ai_analysis = models.CharField(max_length=255, verbose_name='分析结果', null=True, blank=True)  # 分析结果可为空可不传
    # 加入时间
    add_time = models.DateTimeField(auto_now_add=True, verbose_name='加入时间')
    # 更新时间
    update_time = models.DateTimeField(auto_now=True, verbose_name='更新时间')
    # 是否显示
    is_display = models.BooleanField(default=True, verbose_name='是否显示')

    class Meta:
        db_table = "app_tp"

        # 排序 uid倒序
        ordering = ['-uid']




